## class osg::ShapeVisitor

### Public Methods

ShapeVisitor()
virtual void apply(Sphere&)
virtual void apply(Box&)
virtual void apply(Cone&)
virtual void apply(Cylinder&)
virtual void apply(InfinitePlane&)
virtual void apply(TriangleMesh&)
virtual void apply(ConvexHull&)
virtual void apply(HeightField&)
virtual void apply(CompositeShape&)

## Documentation

`ShapeVisitor()`

`virtual void apply(Sphere&)`

`virtual void apply(Box&)`

`virtual void apply(Cone&)`

`virtual void apply(Cylinder&)`

`virtual void apply(InfinitePlane&)`

`virtual void apply(TriangleMesh&)`

`virtual void apply(ConvexHull&)`

`virtual void apply(HeightField&)`

`virtual void apply(CompositeShape&)`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.